from django.test import TestCase
from django.utils import timezone

from evotevotings.elections.tasks import send_elections_notifications
from evotevotings.elections.models import Election

from .utils import ElectionsTestUtils


class TasksTest(ElectionsTestUtils, TestCase):

    def test_send_task_ok(self):
        result = send_elections_notifications.delay()
        self.assertEqual(result.successful(), True)

    def test_send_notifications_ok(self):
        result = send_elections_notifications()
        self.assertEqual(result, 0)

    def test_send_notifications_number(self):
        """
        Test the number of emails send
        It assumes that is sends email 1 day  and 3 before
        If Settings are changed, this test needs to change too
        """
        date = timezone.now()
        self.election = self.create_election(
            proposition_begin_date=date + timezone.timedelta(days=1),
            proposition_end_date=date + timezone.timedelta(days=2),
            minute_end_date=date + timezone.timedelta(days=3),
            voting_begin_date=date + timezone.timedelta(days=4),
            roll_begin_date=date + timezone.timedelta(days=5),
            roll_end_date=date + timezone.timedelta(days=6),
            state=Election.State.OPEN
        )
        result = send_elections_notifications()
        self.assertEqual(result, 2)
